Retrieve an event
curl --request GET \
--url https://api.pocketflows.com/events/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.pocketflows.com/events/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.pocketflows.com/events/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"extra": {},
"created_at": "<string>",
"customer": "<string>"
}Events
Retrieve an event
GET
/
events
/
{id}
Retrieve an event
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The ID of the event
Response
200 - application/json
An Event object
The ID of the event
The name of the event
The data tracked with the event
The time the event was tracked in ISO 8601 format
The ID of the customer the event resolved to. null until the event is processed, or if no customer matched